"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cryptoPwd = void 0;
const crypto_1 = require("./crypto");
const util_1 = require("./util");
/**
 * 加密 password
 * @param pwd 用户输入的password明文
 * @param workingKey Working_key 明文
 * @param userPath 用户路径
 */
function cryptoPwd(pwd, workingData, userPath) {
    // 得到并保存 password_key 密文
    crypto_1.encrypt(pwd, workingData, userPath, (result) => {
        util_1.writeFileData({ Password_key: result }, userPath);
    });
}
exports.cryptoPwd = cryptoPwd;
//# sourceMappingURL=handle_pwd.js.map