"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.I18N_EN = void 0;
exports.I18N_EN = {
    // 提示
    common_tip: {
        confirm: '确定',
        cancel: '取消',
        upload_button: '上传',
        upload_file: '上传文件{}',
        switch_successfully: '切换成功',
        download_successful: '下载成功，文件位置：{}',
        connection_succeeded: '远端服务器配置成功。',
        report_failure: '报告获取失败：原因：{}',
        upload_false: '上传失败，原因：{}',
        uploading: '正在上传中',
        address_format: 'ip地址格式为xx.xx.xx.xx',
        ip_address_item: 'ip地址每一项只能是0~255',
        provide_soft: '支持扫描并分析软件包、源码包，已安装软件，评估软件的兼容性及可移植性',
        insist_automatic: '支持扫描并收集环境的操作系统配置信息，评估用户操作系统的配置兼容性',
        insist_user_environment: '支持扫描并分析用户环境硬件信息，评估硬件兼容性',
        uploaded_successfully: '上传成功。',
        delete_confirm: '文件删除后不可恢复，确认删除{}文件？',
        clear_confirm: '历史报告清空后不可恢复，是否清空[{}]的所有历史报告',
        delete_successfully: '删除成功。',
        clear_successfully: '清空成功。',
        show_report: '展示报告',
        no_report: '暂无评估报告，请立即新建',
        analyse_file: '正在分析文件类型，请稍候...',
        before_upload: '正在准备上传，请稍候...',
        confirm_cancel_upload: '是否确认取消上传',
        cancel_upload: '取消上传',
    },
    // 服务器管理
    common_server_manage: {
        clear_server_confirm: '确认清空服务器记录？',
        delete_server_confirm: '确认删除服务器记录？',
        switch_tip: '切换远端服务器会结束当前服务器下的所有任务，确认继续切换？',
        connected_tip: '此服务器已连接，无需再次连接',
        no_password: '此服务器未保存密码或加密文件已损坏，请重新输入密码',
        no_servers: '暂无服务器信息，请立即配置'
    },
    // 服务器错误
    common_server_error: {
        auth_error: '服务器配置失败，可能原因： 用户名或密码输入错误。',
        ip_error: '服务器配置失败，原因： IP地址错误。',
        port_error: '服务器配置失败，原因： 端口号错误。',
        no_server: '还没有配置服务器信息。',
        time_out: '服务器响应超时。',
        abnormal_exit: '服务器评估失败。',
        page_data_error: '报告页面数据异常',
        fail_log: '登录失败',
        no_connect: '未连接到服务器',
        nologin: '服务器配置失败，可能原因：未正确配置x2openEuler权限，请参考用户指南进行权限配置。',
        notinstall: '服务器配置失败，可能原因：未正确安装x2openEuler工具，请参考用户指南进行安装。',
        timeout: '连接超时，请重试！'
    },
    // 文件上传错误
    common_file_error: {
        rpm_false: 'FAILED：rpm文件夹包请选择单应用多包选项',
        bin_false: 'FAILED：bin文件夹包请选择批量bin文件选项',
        not_bin: 'FAILED：必须是只包含bin文件的文件夹',
        empty_dir: '请不要上传空文件夹。',
        soft_single_support: '不支持的文件类型，仅支持rpm/jar/py/pyc/bin/sh/tar/gz/zip格式的文件。',
        soft_multi_support: '不支持的文件类型，仅支持二进制文件。',
        conf_hard_support: '不支持的文件类型，仅支持tar.gz格式的文件。',
        file_not_match_selected: 'FAILED:上传文件类型和所选文件类型不匹配',
        not_file: '不是文件',
        cannot_inner_dir: '不支持嵌套文件夹。'
    },
    // panelTitle
    common_pannel_title: {
        server_manage: '远端服务器管理',
        configure_server: '配置远端服务器',
        evaluation_guide: 'x2openEuler向导',
        software_evaluation: '新建软件评估',
        configuration_evaluation: '新建配置收集与评估',
        hardware_evaluation: '新建硬件评估',
        soft_report: '软件评估报告',
        config_report: '配置评估报告',
        hard_report: '硬件评估报告',
        result_generated: '结果生成中',
        soft_evaluation: '软件评估',
        config_evaluation: '配置收集与评估',
        hard_evaluation: '硬件评估'
    },
    // 控制台
    console: {
        soft_remote_terminal: '软件评估远程终端',
        conf_remote_terminal: '配置评估远程终端',
        hard_remote_terminal: '硬件评估远程终端'
    }
};
//# sourceMappingURL=en-us.js.map