"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tree_provider_1 = require("./tree_provider");
exports.default = {
    get instance() {
        return tree_provider_1.TreeProvider.instance;
    },
    createTree() {
        tree_provider_1.TreeProvider.instance = tree_provider_1.TreeProvider.instance || new tree_provider_1.TreeProvider();
        return tree_provider_1.TreeProvider.instance;
    },
    setTreeDispose(dispose) {
        tree_provider_1.TreeProvider.dispose = dispose;
    },
    reloadTree() {
        tree_provider_1.TreeProvider.instance = new tree_provider_1.TreeProvider();
        return tree_provider_1.TreeProvider.instance;
    },
    removeTree() {
        tree_provider_1.TreeProvider.instance = null;
        tree_provider_1.TreeProvider.dispose.dispose();
    }
};
//# sourceMappingURL=index.js.map