"use strict";

// 转码sh脚本
const path = require("path");
const fs = require("fs");
const dos2unix = require("./ssp-dos2unix-js/dos2unix-js");

["install", "build_MR", "build"].forEach((item) => {
  const f = path.join(__dirname, `./script/${item}.sh`);

  let converted = dos2unix(f, {
    feedback: false,
    writable: true,
  });
  if (converted) {
    fs.writeFile(f, converted, {}, function (error) {
      if (!error) {
        console.log("写入成功");
      }
    });
  } else {
    console.log(item + ".sh格式正确。");
  }
});
